
Figure - Bug #116968
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】长按打开图库小窗，点击mini模式，双击全屏，短暂上划返回桌面，长按打开
图库小窗模式，出现mini模式大小带导航栏的小窗
2023-03-15 19:18 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 在切换到全屏的时候没有重置bounds,导致再次启动小窗的时候 还是用的上一次的设置

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按图库，点击打开图库小窗

2、点击mini模式按钮

3、双击mini模式窗口，全屏划

4、上划返回桌面

5、长按图库，选择小窗

6、观察小窗情况

【预期结果】

6、正常显示

【实际结果】

6、出现mini模式大小带导航栏的小窗

【备注】

在打开音乐小窗后反复切换mini和正常小窗，再打开的视频/图片小窗

History

#1 - 2023-03-15 19:22 - CDTS_Test 吴诗雨

- File 20230315-192144.mp4 added

- Description updated

#2 - 2023-03-17 18:24 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 在切换到全屏的时候没有重置bounds,导致再次启动小窗的时候 还是用的上一次的设置

■ Current conclusion
问题已经解决

■ My analysis

问题原因是在切换到全屏的时候没有重置bounds,导致再次启动小窗的时候 还是用的上一次的设置

解决问题的方法是,在切换到全屏的时候将mLastNonFullscreenBounds设置成空

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/187774

#3 - 2023-03-20 15:32 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303191230

【验证步骤】

1、长按图库，点击打开图库小窗

2、点击mini模式按钮

3、双击mini模式窗口，全屏划

4、上划返回桌面

5、长按图库，选择小窗

6、观察小窗情况

【验证情况】

正常显示，未出现异常情况，pass

#4 - 2023-03-20 15:32 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

log4.txt 3.92 MB 2023-03-15 CDTS_Test 吴诗雨

20230315-191413.jpeg 21.1 KB 2023-03-15 CDTS_Test 吴诗雨

20230315-192144.mp4 3.84 MB 2023-03-15 CDTS_Test 吴诗雨
